# %%
import pandas as pd
import matplotlib.pyplot as plt

df = pd.read_parquet("1.pq")

df2 = df.iloc[:140]
ax = plt.axes(projection="3d")
ax.scatter(df2["r_x"], df2["r_y"], df2["r_z"])
plt.show()
plt.pause(0.1)